Subject: bug#51344: 28.0.60; gnus group select always expands first thread

From: Lars Ingebrigtsen <[email-masked]>
Date: Sun, 24 Oct 2021 20:26:28 +0200

Carlos Pita <[email-masked]> writes:

> I'm not sure whether this is a bug or intended to behave so, but when I
> set gnus-thread-hide-subtree to t I nevertheless always get the first
> thread in the summary expanded immediately after a select (not read)
> group operation.

I've now fixed this in Emacs 29.  I think this is the correct behaviour,
but the old behaviour has been with us for decades, so I'm not sure
whether there'll be any repercussions (so I'm not pushing this to
emacs-28).

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no